############################################################## 
## MOD Title: Online/Offline Indicator
## MOD Author: romans1423 < romans1423@hotmail.com > (Rick Beckman) www.beckman-ministries.com 
## MOD Description: This MOD outputs graphically a user's online status in Topics and the Memberlist.
## MOD Version: 1.3.2 
## 
## Installation Level: easy
## Installation Time: 5 Minutes 
## Files To Edit: viewtopic.php
##		  memberlist.php
##		  templates/subSilver/viewtopic_body.tpl 
##		  templates/subSilver/memberlist_body.tpl
##		  templates/subSilver/subSilver.cfg
##		  language/lang_english/lang_main.php
## Included Files: icon_online.gif
##		   icon_offline.gif
##		   icon-hidden.gif
############################################################## 
## For Security Purposes, Please Check: http://www.phpbb.com/phpBB/catdb.php?db=1 for the 
## latest version of this MOD. Downloading this MOD from other sites could cause malicious code 
## to enter into your phpBB Forum. As such, phpBB will not offer support for MOD's not offered 
## in our MOD-Database, located at: http://www.phpbb.com/phpBB/catdb.php?db=1
############################################################## 
## Author Notes: 
## 	This MOD is based upon Online/Offline 1.0.0 by John B. Abela (abela@phpbb.com), stitch626,
##	and an unknown author. Lots of thanks!
##	The Online, Offline, and Hidden icons are from www.forumimages.com and were created
##	by Daz. Thanks for the wonderful images.
##	Additional images for various themes can be found at http://www.forumimages.com/.
##
##	Upgrading should be pretty self-explanatory, so no upgrade path is provided.
##
##To Do:
##	- UserGroup member lists support.
##	- Profile support.
##	- Support for both graphical & text output. Thanks to Daz for indirectly making me think of this one.
##	- Suggestions => romans1423@hotmail.com
############################################################## 
## MOD History: 
## 
## 1.3.2 - Fixed some typos in this install file. Oops!
## 1.3.1 - Fixed another typo in the install file; the "copy" commands at the bottom had
##	   a discrepancy in file names which is now fixed.
## 1.3.0 - Added online/offline indicators for Memberlist.
##	 - Name changed to "Online/Offline Indicator"
## 1.2.1 - Fixed a typo in the install file (this file); the "files to edit" list was incomplete.
## 	     There is no need to update any of your files.
## 1.2.0 - Removed textual variant (i.e., "Online" or "Offline" instead of using images.)
##	 - Added support for Hidden users
##	 - Included status icons from www.forumimages.com.
############################################################## 
## Before Adding This MOD To Your Forum, You Should Back Up All Files Related To This MOD 
############################################################## 

# 
#-----[ OPEN ]------------------------------------------ 
# 

viewtopic.php

# 
#-----[ FIND ]------------------------------------------ 
# 

u.user_allowavatar, u.user_allowsmile, 

# 
#-----[ IN-LINE AFTER, ADD ]------------------------------------------ 
# 

u.user_allow_viewonline, u.user_session_time, 

# 
#-----[ FIND ]------------------------------------------ 
#

	$template->assign_block_vars('postrow', array(

# 
#-----[ BEFORE, ADD ]------------------------------------------ 
# 

	//Online/Offline
	if (($postrow[$i]['user_session_time'] >= ( time() - 300 )) && ($postrow[$i]['user_allow_viewonline']))
	{
		$on_off_hidden = '<img src="' . $images['icon_online'] . '" alt="' . $lang['Online'] . '" title="' . $lang['Online'] . '" border="0" />';
	}
	else if (($postrow[$i]['user_allow_viewonline']) == 0)
	{
		$on_off_hidden = '<img src="' . $images['icon_hidden'] . '" alt="' . $lang['Hidden'] . '" title="' . $lang['Hidden'] . '" border="0" />';
	}
	else if ($poster_id == ANONYMOUS)
	{
		$on_off_hidden = '';
	}
	else
	{
		$on_off_hidden = '<img src="' . $images['icon_offline'] . '" alt="' . $lang['Offline'] . '" title="' . $lang['Offline'] . '" border="0" />';
	}

# 
#-----[ FIND ]------------------------------------------ 
#

		'POSTER_AVATAR' => $poster_avatar,

# 
#-----[ AFTER, ADD ]------------------------------------------ 
#

		'POSTER_ONLINE' => $on_off_hidden,

#
#-----[ OPEN ]------------------------------------------ 
#

memberlist.php

# 
#-----[ FIND ]------------------------------------------ 
#

	'L_PM' => $lang['Private_Message'],

# 
#-----[ AFTER, ADD ]------------------------------------------ 
#

	'L_ON_OFF_STATUS' => $lang['On_off_status'],

# 
#-----[ FIND ]------------------------------------------ 
# 

, user_avatar_type, user_allowavatar

# 
#-----[ IN-LINE AFTER, ADD ]------------------------------------------ 
# 

, user_allow_viewonline, user_session_time

# 
#-----[ FIND ]------------------------------------------ 
# 

		$template->assign_block_vars('memberrow', array(

# 
#-----[ BEFORE, ADD ]------------------------------------------ 
# 

		//Online/Offline
		if (($row['user_session_time'] >= ( time() - 300 )) && ($row['user_allow_viewonline']))
		{
			$on_off_hidden = '<img src="' . $images['icon_online'] . '" alt="' . $lang['Online'] . '" title="' . $lang['Online'] . '" border="0" />';
		}
		else if (($row['user_allow_viewonline']) == 0)
		{
			$on_off_hidden = '<img src="' . $images['icon_hidden'] . '" alt="' . $lang['Hidden'] . '" title="' . $lang['Hidden'] . '" border="0" />';
		}
		else
		{
			$on_off_hidden = '<img src="' . $images['icon_offline'] . '" alt="' . $lang['Offline'] . '" title="' . $lang['Offline'] . '" border="0" />';
		}

# 
#-----[ FIND ]------------------------------------------ 
#

			'YIM' => $yim,

# 
#-----[ AFTER, ADD ]------------------------------------------ 
#

			'USER_ONLINE' => $on_off_hidden,

# 
#-----[ OPEN ]------------------------------------------ 
#

language/lang_english/lang_main.php

# 
#-----[ FIND ]------------------------------------------ 
#

//
// Viewonline
//

# 
#-----[ BEFORE, ADD ]------------------------------------------ 
#

//
// Online/Offline
//
$lang['Offline'] = 'Offline';
$lang['Online'] = 'Online';
$lang['Hidden'] = 'Hidden';
$lang['On_off_status'] = 'Status';

# 
#-----[ OPEN ]------------------------------------------ 
#

templates/subSilver/subSilver.cfg

# 
#-----[ FIND ]------------------------------------------ 
#

?>

# 
#-----[ BEFORE, ADD ]------------------------------------------ 
#

$images['icon_online'] = "$current_template_images/{LANG}/icon_online.gif\" width=\"59\" height=\"18";
$images['icon_offline'] = "$current_template_images/{LANG}/icon_offline.gif\" width=\"59\" height=\"18";
$images['icon_hidden'] = "$current_template_images/{LANG}/icon_hidden.gif\" width=\"59\" height=\"18";

# 
#-----[ OPEN ]------------------------------------------ 
#

templates/subSilver/viewtopic_body.tpl

# 
#-----[ FIND ]------------------------------------------ 
#

{postrow.PROFILE_IMG}

# 
#-----[ IN-LINE BEFORE, ADD ]------------------------------------------ 
#

{postrow.POSTER_ONLINE} 

# 
#-----[ OPEN ]------------------------------------------ 
#

templates/subSilver/memberlist.tpl

# 
#-----[ FIND ]------------------------------------------ 
#

	  <th class="thTop" nowrap="nowrap">{L_USERNAME}</th>

# 
#-----[ BEFORE, ADD ]------------------------------------------ 
#

	<th class="thTop" nowrap="nowrap">{L_ON_OFF_STATUS}</th>

# 
#-----[ FIND ]------------------------------------------ 
#

	  <td class="{memberrow.ROW_CLASS}" align="center"><span class="gen"><a href="{memberrow.U_VIEWPROFILE}" class="gen">{memberrow.USERNAME}</a></span></td>

# 
#-----[ BEFORE, ADD ]------------------------------------------ 
#

	  <td class="{memberrow.ROW_CLASS}" align="center">&nbsp;{memberrow.USER_ONLINE}&nbsp;</td>

# 
#-----[ FIND ]------------------------------------------ 
#

	<tr> 
	  <td class="catbottom" colspan="8" height="28">&nbsp;</td>
	</tr>

# 
#-----[ IN-LINE, FIND ]------------------------------------------ 
# Number may be different if other MODs are installed...
#

colspan="8"

# 
#-----[ IN-LINE, REPLACE WITH ]------------------------------------------ 
#

colspan="9"

# 
#-----[ COPY ]------------------------------------------ 
#

copy icon_online.gif to templates/subSilver/images/lang_english/icon_online.gif
copy icon_offline.gif to templates/subSilver/images/lang_english/icon_offline.gif
copy icon_hidden.gif to templates/subSilver/images/lang_english/icon_hidden.gif

# 
#-----[ SAVE/CLOSE ALL FILES ]------------------------------------------ 
# 
# EoM 